/*
 * Copyright (c) 2003 Alan L. Cox <alc@cs.rice.edu>.  All rights reserved.
 * Copyright (c) 1998 David Greenman.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $DragonFly: src/sys/sys/sfbuf.h,v 1.9 2006/05/20 02:42:13 dillon Exp $
 */

#ifndef _SFBUF_H_
#define _SFBUF_H_

#ifndef _SYS_TYPES_H_
#include <sys/types.h>
#endif
#ifndef _SYS_QUEUE_H_
#include <sys/queue.h>
#endif
#ifndef _CPU_LWBUF_H_
#include <cpu/lwbuf.h>
#endif
#ifndef _SYS_REFCOUNT_H
#include <sys/refcount.h>
#endif

#if !defined(_KERNEL) && !defined(_KERNEL_STRUCTURES)
#error "This file should not be included by userland programs."
#endif

struct sf_buf {
	struct lwbuf	*lwbuf;	/* lightweight buffer */
	u_int		ref;	/* ref count */
	struct lwbuf	lwbuf_cache;
};

#define sf_buf_kva(sf)	(lwbuf_kva((sf)->lwbuf))
#define sf_buf_page(sf)	(lwbuf_page((sf)->lwbuf))


#if defined(_KERNEL)

struct sf_buf  *sf_buf_alloc(struct vm_page *);
void		sf_buf_ref(void *);
int		sf_buf_free(void *);

#endif

#endif
